%define subrel 1

Name:           task-kde4
Version:        4.1.4
Release:        %mkrel 1
Epoch:          1
Summary:        Metapackage for KDE4
Group:          Graphical desktop/KDE
License:        GPL
Requires:       task-kde4-minimal
Suggests:       kcalc
Suggests:       kcharselect
Suggests:       kdf
Suggests:       kfloppy
Suggests:       ktimer
Suggests:       kwallet
Suggests:       sweeper
Suggests:       kdenetwork4
Suggests:       kdepim4
Suggests:       kdeaccessibility4
Suggests:       kdegraphics4
Suggests:       knetworkconf
Suggests:       kdeplasma4
Suggests:       mandriva-galaxy-data
Suggests:       kwrite
Suggests:       amarok
Suggests:       kdegames4
Suggests:       digikam
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Obsoletes:      %{name}-full < 2008.0-3mdv

%description
This package is a meta-package, meaning that its purpose is to contain
the complete dependencies for running the KDE4 desktop ( plus Amarok2,
Koffice2, ...)

%files
%defattr(-,root,root-)

#---------------------------------------------------------------------

%package    minimal
Summary:    Minimal dependencies needed KDE4
Group:      Graphical desktop/KDE

Requires:   kde4-config-file
Requires:   kdm
Requires:   kdebase4-runtime
Requires:   kdebase4-workspace
Suggests:   gwenview
Suggests:   dolphin
Suggests:   ark
Suggests:   kde4-nsplugins
Suggests:   kdepasswd
Suggests:   konsole
Suggests:   kmix
Suggests:   dbus-x11
Suggests:   oxygen-icon-theme
Suggests:   qt4-qtdbus
Suggests:   plasma-applet-folderview
Suggests:   plasma-desktoptheme-aya
Suggests:   plasma-applet-showdesktop
Suggests:   konqueror
Suggests:   keditbookmarks
Suggests:   phonon-gstreamer
Suggests:   kscd
Suggests:   dragonplayer
Suggests:   kdeartwork4-kscreensaver
Suggests:   task-pulseaudio
Suggests:   preload
Suggests:   readahead
Requires:   xsettings-kde

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal KDE4 desktop environment.


%files minimal

#--------------------------------------------------------------------

%package devel
Summary: Metapackage for KDE development
Group: Development/KDE and Qt
Requires: task-kde4
Requires: kde4-config-file
Requires: kdelibs4-devel
Requires: kdepimlibs4-devel
Requires: kdebase4-devel
Requires: kdebase4-workspace-devel
Requires: kdesdk4-scripts
Requires: task-c++-devel

%description devel
This package is a meta-package, meaning that its purpose is to contain
dependencies for installing a KDE development environment.

%files devel
%defattr(-,root,root-)




%changelog
* Wed Feb 04 2009 Funda Wang <fundawang@mandriva.org> 1:4.1.4-1.1mdv2009.0
+ Revision: 337468
- New version 4.1.4

  + Helio Chissini de Castro <helio@mandriva.com>
    - Official KDE 4.1.3 update.

* Fri Oct 03 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.1.2-4mdv2009.0
+ Revision: 290975
- Fix Requires

* Mon Sep 29 2008 Frederic Crozat <fcrozat@mandriva.com> 1:4.1.2-3mdv2009.0
+ Revision: 289354
- Ensure xsettings-kde is required by task-kde4-minimal
- Add readahead as suggests

* Sat Sep 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.1.2-2mdv2009.0
+ Revision: 288959
- Add scrensavers as Require

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.2-1mdv2009.0
+ Revision: 288169
- Suggests preload

* Wed Sep 10 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.1.1-3mdv2009.0
+ Revision: 283627
- tweak task-kde4 ( change some requires to suggest + suggests digikam)

* Mon Sep 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.1.1-2mdv2009.0
+ Revision: 282811
- Add kdm as Requires
- Add Dragonplayer as minimal require
- Add KScd as minimal require
- Add Gwenview as minimal require
- Fix Requires on the minimal package

* Tue Sep 02 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.1.1-1mdv2009.0
+ Revision: 278888
- Add pinentry-qt as Suggests
- ws cleanup

* Mon Sep 01 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.0-12mdv2009.0
+ Revision: 278697
- requires phonon-gstreamer as default

* Thu Aug 28 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.0-11mdv2009.0
+ Revision: 276865
- Remove some unwanted applications from task-kde4. Solve kgpg issue for non advanced users

* Mon Aug 18 2008 Anne Nicolas <anne.nicolas@mandriva.com> 1:4.1.0-10mdv2009.0
+ Revision: 273275
- add kwrite as text editor

* Sat Aug 16 2008 Anne Nicolas <anne.nicolas@mandriva.com> 1:4.1.0-9mdv2009.0
+ Revision: 272724
- add mandriva-galaxy require

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add konqueror as Requires ( aKa.  stop crying trem :) )

* Sun Jul 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.1.0-7mdv2009.0
+ Revision: 250613
- Fix Release
- Add knetworkconf  kcron as Requires and comment kuser before adding
- Remove kdeadmin4 Requires ( we will add some package individually)
- Requires Ark

* Sun Jul 06 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.83-6mdv2009.0
+ Revision: 232276
- Add Kmix as requires

* Thu Jul 03 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.83-5mdv2009.0
+ Revision: 231409
- Do not install superkaramba by default (menu cleaning task)

* Tue Jul 01 2008 Olivier Blin <oblin@mandriva.com> 1:4.0.83-4mdv2009.0
+ Revision: 230523
- make kdegames4 a Suggests

  + Helio Chissini de Castro <helio@mandriva.com>
    - Nepomuk not ok to install for now

* Wed Jun 25 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.83-2mdv2009.0
+ Revision: 229090
- [BUGFIX] Fix typo on devel package (Bug #41667) thanks to JLP

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.83-1mdv2009.0
+ Revision: 228721
- Blino pointed that task-kde4 was broken. Fix config file requires and add plasma applets required in minimal config.

* Tue Jun 17 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.82-2mdv2009.0
+ Revision: 222775
- Fixing typo

* Tue Jun 17 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.82-1mdv2009.0
+ Revision: 222759
- Update task.

* Fri May 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:4.0.73-2mdv2009.0
+ Revision: 208186
- remove kdevelop4 require again (it's not needed on typical desktop and just
  add a tons of useless devel requires)

* Thu May 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.73-1mdv2009.0
+ Revision: 203876
- Update for kde 4.0.73
  Fix Requires
- Update to kde 4.0.69

* Sun Mar 30 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.3-1mdv2008.1
+ Revision: 191159
- Update for kde 4.0.3

* Tue Mar 11 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-10mdv2008.1
+ Revision: 186978
- Fix Requires

* Wed Mar 05 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-9mdv2008.1
+ Revision: 179448
- Add task-pulseaudio as Suggests

* Tue Mar 04 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-8mdv2008.1
+ Revision: 179214
- New version 4.0.2
- [FEATURE] Add playground-nepomuk-kde as Suggests (Bug #38088)

* Mon Feb 04 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-7mdv2008.1
+ Revision: 162399
- Fix Requires

* Sun Feb 03 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-6mdv2008.1
+ Revision: 161860
- Add requires (Bug #37455 )
- [BUGFIX] add Requires (Bug #37458 #37427)

* Sun Jan 27 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-4mdv2008.1
+ Revision: 158852
- Do not require kdevelop4

* Wed Jan 16 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-3mdv2008.1
+ Revision: 153758
- Replace kdeplayground4-plasma by extragear-plasma

* Sun Jan 13 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-2mdv2008.1
+ Revision: 151072
- Do not require kdeaddons4

* Sun Jan 13 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.0-1mdv2008.1
+ Revision: 150900
- Update for kde 4.0.0
- Require task-kde4-minimal
  Activate now existing packages

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-1mdv2008.1
+ Revision: 111825
- Update for kde4 3.96.1

* Fri Nov 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:3.94.0-3mdv2008.1
+ Revision: 111492
- rebuild since task-kde4-full didn't reach ia32 mirrors

* Sun Oct 21 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.0-2mdv2008.1
+ Revision: 101017
- This is Phonon-xine not Xine-phonon

* Sun Oct 21 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.0-1mdv2008.1
+ Revision: 100950
- Fix the version of this meta package
- Add Requires to the minimal package

* Tue Oct 02 2007 Tiago Salem <salem@mandriva.com.br> 2008.0-3mdv2008.0
+ Revision: 94671
- Dropping task-kde4-full package and Bumping release

* Mon Oct 01 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-2mdv2008.0
+ Revision: 94160
- Require the mandriva-kde4-config

* Mon Oct 01 2007 Tiago Salem <salem@mandriva.com.br> 2008.0-1mdv2008.0
+ Revision: 94128
- Fixing Requires and %%files section

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add a minimal subpackage


* Fri Mar 23 2007 Laurent Montel <lmontel@mandriva.com> 1.0-1mdv2007.1
+ Revision: 148612
- Add other kde4 module (just for testing all kde4 package
- Import task-kde4

